*{
	margin: 0;
	padding: 0;
}
:root{
	--cube-width: 100px;
  --header-color: #85ad9f;
  --who-color: #081a45;
  --hobbies-color: #b0235f;
  --project-labels-color: rgba(4, 43, 22, 0.728);
}



@font-face {
    font-family: 'Patrick Hand';
    src: url('assets/patrick_hand.ttf');
}
@font-face {
    font-family: 'fredoka';
    src: url('assets/fredoka.ttf');
}
@font-face {
	font-family: 'century';
	src: url('assets/CENTURY.ttf') format('embedded-opentype');
}




body{
	background-color: #eee;
  overflow-x: hidden;
}

/****** menu start *******/


.menu>*>*{
	text-decoration: none;
	color: #9e1763;
}

.menu>*{
	display: inline;
	padding: 2vh;

}
.menu{
	list-style-type: none;
}
/****** menu end *******/


/****** header start *******/


.header{
	display: flex;
	justify-content: space-around;
  background-color: var(--header-color);
	padding-top: 5vh;
	font-family: 'fredoka';
}




.welcomeMSG{
	display: flex;
	align-items: center;
	justify-content: center;
	height: 90vh;
	text-align: center;
	font-family: 'century';
	font-size: 4vw;
  background-color: var(--header-color);
}

/****** header end *******/

.transition {
  background-image: url("assets/transition-background.svg");
  aspect-ratio: 900/300;
  width: 100vw;
  background-repeat: no-repeat;
  background-size: cover;
}

/****** who start *******/

.hidden {
  opacity: 0;
  filter: blur(2px);
  transform: translateX(-100%);
  transition: all 1s;
}

.appear {
  opacity: 1;
  filter: blur(0px);
  transform: translateX(0%);
}

.who{
  margin-top: -30vh;
  margin-bottom: -10vh;
	font-family: 'Playfair Display';
	font-style: italic;
  height: 120vh;
  background-color: var(--who-color);
  color: #eee;
  display: flex;
  justify-content: center;
}

.content{
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 50vw;
}
.photo-text {
  text-align: center;
}
.photo-text>img{
	width: 10vw;
	height: 10vw;
	border-style: dashed;
	border-radius: 10%;
}
.content>p{
  text-align: center;
  padding: 5%;
  text-align: justify;
}

/****** who end *******/
.projects::before{
  content: '';
  padding-left: 0px !important;
  transform: translate(-10px, -15vh);
  width: 100vw;
  background-color: var(--who-color);
  height: 30vh;
  border-radius: 50%;
  display: block;
}
/****** projects start *******/


.projects {
  margin-top: 10vh;
	font-family: 'fredoka';
	color: #eee;
	padding-left: 10px;
  padding-bottom: 50px;
  background-color: transparent;
  height: 150vh;
  position: relative;
}

.projects h1{
  font-family: 'Aboreto';
  font-size: 7vh;
  position: absolute;
  left: 60%;
  color: rgb(252, 20, 171);
  text-shadow: #000000 2px 1px;
  background-color: #075f4078;
  padding: 5px;
}

.projects h2{
	font-family: 'Playfair Display';
	margin: .5em;
}

.pr {
  background-color: var(--project-labels-color);
  border-radius: 5%;
	padding: 20px;
  margin-top: 13vh;
  display: block;
  border: 2px solid transparent;
  width: 50vw;

}

.pr:hover {
  border: 2px solid #85ad9f;
}


.selected {
  border: 2px solid #85ad9f;
}


.project-cards {
  margin-right: 5vw;
  position: absolute;
  left: 58%;
  top: 50%;
  transform: translateY(-50%);
  width: 30vw;
  text-align: justify;
  padding: 2vw;
  background-color: #000000a9;
  border: 1px dashed #85ad9f;
  border-radius: 10%;
  opacity: 0;
  display: none;
}

.project-cards img{
  width: 30vw;
}

.show{
  display: block;
  animation: show 1s forwards;
}

#cnv {
  position: absolute;
  top: 0vh;
  left: 0;
  /* width: 100vw;
  height: 160vh; */
  z-index: -1;
  background-color: green;
}


/****** projects end *******/


/******** cube begin *********/

container{
  perspective: 1000px;
  display: flex;
  justify-content: center;
  align-items: center;
	position: absolute;
	left: 70%;
}

.cube{
  position: absolute;
  height: var(--cube-width);
  width: var(--cube-width);
  animation: 10s spin linear infinite;
  transform-style: preserve-3d;
}
.cube *{
  border: 1.5px dashed rgb(255, 255, 255);
  width: 100%;
  height: 100%;
  display: block;
  position: absolute;
}


back {
  transform: translateZ(var(--cube-width));
  background-color: rgba(213, 15, 213, 0.9);
}


left {
  transform: translateX(calc(var(--cube-width)*0.5))
  translateZ(calc(var(--cube-width)*0.5))
  rotateY(90deg);
  background-color: rgba(8, 75, 210, 0.9);
}



bottom {
  transform: translateY(calc(var(--cube-width)*0.5))
  translateZ(calc(var(--cube-width)*0.5))
  rotateX(90deg);
  background-color: rgba(8, 210, 210, 0.9);
}


top {
  transform: translateY(calc((-1)*var(--cube-width)*0.5))
  translateZ(calc(var(--cube-width)*0.5))
  rotateX(90deg);
  background-color: rgba(18, 121, 95, 0.9);
}

front{
  background-color: rgba(0, 128, 0, 0.9);
}


right {
  transform: translateX(calc((-1)*var(--cube-width)*0.5))
  translateZ(calc(var(--cube-width)*0.5))
  rotateY(90deg);
  background-color: rgba(128, 0, 128, 0.9);
}


/******** cube end *********/

.second {
  aspect-ratio: 900/150 !important;
  margin-top: -23vh;
  background-image: url("assets/transition-background2.svg") !important;
}

/******** hobbies start *********/

.fancy-title {
  color: #eee;
  font-size: 7vw;
  font-family: "Rouge Script", 'Courier New', Courier, monospace;
  padding: 10px !important;
}


.hobbies {
  height: fit-content;
  width: fit-content;
  background-color: var(--hobbies-color);
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  color: #ffffff;
}

.hobbies>*{
  margin-left: auto;
  margin-right: auto;
  display: block;
  padding: 5px;
  width: 50%;
  padding-top: 3em;
  padding-bottom: 3em;
}
.chess, .writing, .programming {
  position: relative;
}

.hobbies h2{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: 'Rouge Script';
  font-size: 100px;
  color: #a30e7b;
  text-shadow: #333 0 0 5px;
  transition: opacity 0.5s;
  z-index: 1;
}

.hobbies img{
  width: 100%;
  z-index: -1;
  filter: blur(10px);
  transition: transform 1s;
}

.h:hover img{
  filter: none;
  transform: translate(-40%,0);
}

.h:hover h2{
  opacity: 0;
}

.h>.p {
  background-color: rgba(144, 43, 0, 0.461);
  font-family: "Playfair Display";
  border-radius: 5%;
  height: 80%;
  width: 80%;
  top: 10%;
  left: 0;
  transform: translateY(-20%);
  font-size: 20px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  opacity: 0;
  transition: transform 1s, opacity 1s;
}
.h{
  height: fit-content;
}

.h:hover .p{
  opacity: 1;
  transform: translate(60%,-20%);
}

.p>p>a {
  text-decoration: none;
  color: yellow;
}


/******** hobbies end *********/

/******** footer start *********/

footer {
  background-color: #333;
  color: #aaa;
  padding: 5%;
}

/******** footer end *********/


@keyframes spin {
  0% {
    transform:
    rotateX(360deg)
    rotateY(360deg);
  }
  100% {
    transform:
    rotateX(0deg)
    rotateY(0deg);
  }
}





@keyframes dash {
  0%{
    transform: rotate(0deg);
  }
  100%{
    transform: rotate(360deg);
  }
}


@keyframes show {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}



/* @keyframes hobbies-thing {
  0%{
    filter: blur(10px);
    transform: translate(0,0);
  }
  100%{
    filter: none;
    transform: translate(-40%,0);
  }
}
 */








.typed-cursor{
  display: none;  
}